
Application: gvSIG desktop - gvSIG bugs #4872
gvSIG 2.4.1 no lee algunos archivos .prj
05/14/2018 12:00 PM - Alonso Morilla

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Joaquín  del Cerro Murciano
Category:
Target version: 2.4.1-2853 (rev. org.gvsig.desktop-2.0.223)
Severity: Minor Add-on version:
gvSIG version: 2.4.0 Add-on build:
gvSIG build: 2852 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

Con la vista cargada en EPSG 3857, se intenta cargar unas capas del BCN500 del CNIG (BCN500_0601L_AUTOP_AUTOV.shp;
BCN500_O602_L_CARRETERA_PPAL.shp; BCN500_0603L_CARRETERA_SECUN.shp).

gvSIG muestra que la proyección es desconocida y presupone el EPSG de la vista, aunque las capas tienen su correspondiente .prj.

Adjunto captura de pantalla y las capas oficiales del CNIG.

Associated revisions
Revision 847 - 05/16/2018 07:27 PM - Joaquín  del Cerro Murciano

refs  #4872. Corregido un problema en la identificacion de algunas proyecciones EPSG:4258.

History
#1 - 05/16/2018 07:35 PM - Joaquín  del Cerro Murciano

Añadido un mecanismo para que cuando han fallado los mecanismos internos de reconocimiento de la proyeccion, se emplee una lista de
expressiones regulares sobre el wkt del CRS.

Esto permite introducir casos particulares sin necesidad de recompilar para poder reconocer cosas como las que se dan en estos prj, en los que el
nombre de la proyeccion aparece como:

    -  "Europe ETRS 89 (EUREF 89 System), Latitude-Longitude; Degrees" 
    -  "ETRS89 Lat/Long's, Degrees (essentially, same as LL84)"

Y no coincide con los nombres empleados en la BBDD de EPSG, que es solo "ETRS89".

#2 - 05/16/2018 07:35 PM - Joaquín  del Cerro Murciano
- Target version set to 2.5.0-2930-final
- Status changed from New to Fixed

#3 - 05/17/2018 09:42 AM - Joaquín  del Cerro Murciano
El arreglo ya esta disponible para probarlo instalando desde url el paquete:

    -  CRS: CRS management (GDAL/Geotools based, Native), revision  2.1.89-2144

#4 - 05/17/2018 05:52 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.5.0-2930-final to 2.4.1-2853 (rev. org.gvsig.desktop-2.0.223)

#5 - 02/18/2019 04:57 PM - Álvaro Anguix
- Status changed from Fixed to Closed

Files
No_lee_proyecciones.png 1.16 MB 05/14/2018 Alonso Morilla
BCN500.zip 9.93 MB 05/14/2018 Alonso Morilla
